Name:           rhui-mirrorlist
Version:        3.0.0
Release:        1%{?dist}
Summary:        RHUI mirror list wsgi app

Group:          Development/Languages
License:        GPLv2
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires: python-setuptools
Requires: mod_wsgi

%description
Provides mirror list functionality for RHUI

%prep
%setup -q

%build
pushd src
%{__python} setup.py build
popd

%install
rm -rf %{buildroot}

# Python setup
pushd src
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd

mkdir -p %{buildroot}/etc/httpd/conf.d
mkdir -p %{buildroot}/%{_datadir}/pulp/wsgi
cp etc/httpd/conf.d/mirrorlist.conf %{buildroot}/etc/httpd/conf.d
cp srv/mirrorlist.wsgi %{buildroot}/%{_datadir}/pulp/wsgi/mirrorlist.wsgi

%files 
%defattr(-,apache,apache,-)
%config %{_sysconfdir}/httpd/conf.d/mirrorlist.conf
%{_datadir}/pulp/wsgi/mirrorlist.wsgi
%defattr(-,root,root,-)
%dir %{python_sitelib}/rhui_mirrorlist
%{python_sitelib}/rhui_mirrorlist/__init__*
%{python_sitelib}/rhui_mirrorlist/mirrorlist/*
%{python_sitelib}/rhui_mirrorlist-*.egg-info

%clean
rm -rf %{buildroot}

%changelog
* Tue Jan 24 2017 B Zhang <bizhang@redhat.com> 3.0.0-1
- bumping version to 3.0.0 (bizhang@redhat.com)

* Wed Sep 14 2016 Patrick Creech <pcreech@redhat.com> 0.0.5-1
- Moving mirrorlist.wsgi to pulp's wsgi folder (pcreech@redhat.com)

* Tue Aug 04 2015 Chris Duryee <cduryee@redhat.com> 0.0.4-1
- Update the mirrorlist app to return the loadbalancer. (jeremy@jcline.org)

* Wed Jul 29 2015 Chris Duryee <cduryee@redhat.com> 0.0.3-1
- Update mirror list with jcline's code (cduryee@redhat.com)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.2-1
- new package built with tito

